Configuration interface definition for Human library Contains all configurable parameters Defaults: config

### Hierarchy

- Config

## Index

### Properties

- async
- backend
- body
- cacheModels
- cacheSensitivity
- deallocate
- debug
- face
- filter
- gesture
- hand
- modelBasePath
- object
- segmentation
- skipAllowed
- warmup
- wasmPath
- wasmPlatformFetch

## Properties

### async

async: boolean

- Defined in src/config.ts:240

Perform model loading and inference concurrently or sequentially

default: `true`

### backend

backend: "" | "cpu" | "wasm" | "webgl" | "humangl" | "tensorflow" | "webgpu"

- Defined in src/config.ts:216

Backend used for TFJS operations valid build-in backends are:

- Browser: `cpu`, `wasm`, `webgl`, `humangl`, `webgpu`
- NodeJS: `cpu`, `wasm`, `tensorflow` default: `humangl` for browser and `tensorflow` for nodejs

### body

body: Partial<BodyConfig>

- Defined in src/config.ts:286

Body config BodyConfig

### cacheModels

cacheModels: boolean

- Defined in src/config.ts:260

Cache models in IndexDB on first sucessfull load default: true if indexdb is available (browsers), false if its not (nodejs)

### cacheSensitivity

cacheSensitivity: number

- Defined in src/config.ts:268

Cache sensitivity

- values 0..1 where 0.01 means reset cache if input changed more than 1%
- set to 0 to disable caching

default: 0.7

### deallocate

deallocate: boolean

- Defined in src/config.ts:271

Perform immediate garbage collection on deallocated tensors instead of caching them

### debug

debug: boolean

- Defined in src/config.ts:234

Print debug statements to console

default: `true`

### face

face: Partial<FaceConfig>

- Defined in src/config.ts:283

Face config FaceConfig

### filter

filter: Partial<FilterConfig>

- Defined in src/config.ts:277

Filter config FilterConfig

### gesture

gesture: Partial<GestureConfig>

- Defined in src/config.ts:280

Gesture config GestureConfig

### hand

hand: Partial<HandConfig>

- Defined in src/config.ts:289

Hand config HandConfig

### modelBasePath

modelBasePath: string

- Defined in src/config.ts:255

Base model path (typically starting with file://, http:// or https://) for all models

- individual modelPath values are relative to this path

default: `../models/` for browsers and `file://models/` for nodejs

### object

object: Partial<ObjectConfig>

- Defined in src/config.ts:292

Object config ObjectConfig

### segmentation

segmentation: Partial<SegmentationConfig>

- Defined in src/config.ts:295

Segmentation config SegmentationConfig

### skipAllowed

skipAllowed: boolean

- Defined in src/config.ts:274

Internal Variable

### warmup

warmup: "" | "face" | "body" | "none" | "full"

- Defined in src/config.ts:248

What to use for `human.warmup()`

- warmup pre-initializes all models for faster inference but can take significant time on startup
- used by `webgl`, `humangl` and `webgpu` backends

default: `full`

### wasmPath

wasmPath: string

- Defined in src/config.ts:222

Path to *.wasm files if backend is set to `wasm`

default: auto-detects to link to CDN `jsdelivr` when running in browser

### wasmPlatformFetch

wasmPlatformFetch: boolean

- Defined in src/config.ts:228

Force WASM loader to use platform fetch

default: auto-detects to link to CDN `jsdelivr` when running in browser